package org.springblade.common.constant;

/**
 * 缓存常量
 */
public interface CacheBizConstant {

	/**
	 * 场次配置
	 */
	String CACHE_CONSIGN_CONFIG = "cache:consign:config";

	/**
	 * 支付配置
	 */
	String CACHE_DEFAULT_PAYMENTS = "cache:default:payments";

	/**
	 * 商品品牌
	 */
	String CACHE_GOODS_BRAND = "cache:goods:brand";

	/**
	 * 通知公告
	 */
	String CACHE_SHOPPING_NOTICE_ = "cache:shopping:notice";

	/**
	 * 缓存失效时间
	 */
	Long CACHE_TIME = 120L;

	/**
	 * 未抢红包强前缀
	 */
	String CACHE_RED_PACKET = "cache:red_packet:product";
	/**
	 * 红包消费List
	 */
	String CACHE_RED_PACKET_LIST = "cache:red_packet:list";
	/**
	 * 红包消费map
	 */
	String CACHE_RED_PACKET_MAP = "cache:red_packet:map";

	/**
	 * 红包提现锁
	 */
	String CACHE_RED_PACKET_WITHDRAWFLAG = "cache:red_packet:withdrawFlag";

}
